Export audit logs
curl --request GET \
--url https://api.getstrada.com/api/export/audit-logs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getstrada.com/api/export/audit-logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getstrada.com/api/export/audit-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"auditLogs": [
{
"auditLogId": "b4f7c8e2-1a3d-4e5f-9c6b-7d8e9f0a1b2c",
"memberId": "member_abc123",
"memberName": "Jane Doe",
"memberEmail": "jane@ironinsurance.com",
"actionVerb": "created",
"resourceType": "api_keys",
"resourceReferenceId": "key_789",
"resourceLabel": "Production API Key",
"requestId": "req_456def",
"createdAt": "2024-01-15T10:30:00Z"
}
],
"metadata": {
"nextPage": "https://api.getstrada.com/api/export/audit-logs?createdAtLt=2024-01-15T10:29:59.999Z&pageSize=10000"
}
}Export
Export audit logs
Retrieve a paginated list of audit log entries for your organization, ordered newest first. Use this endpoint for bulk export of audit data. When more results are available, the response includes metadata.nextPage with the URL for the next page.
GET
/
api
/
export
/
audit-logs
Export audit logs
Authorizations
API Key authentication
Query Parameters
Filter entries created after this timestamp
Filter entries created before this timestamp
Number of results per page (max 10000)
Required range:
1 <= x <= 10000Was this page helpful?